Bug 1025962 - sound volume adjust causes "loss of sound device" in applications
sound volume adjust causes "loss of sound device" in applications
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-02 09:38 EDT by Brent R Brian
Modified: 2015-02-17 13:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 13:59:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent R Brian 2013-11-02 09:38:07 EDT
Description of problem:

Running AUDACITY while changing volume using mouse wheel on panel icon.  Audacity locks up ... when it finally recovers, if it does, the sound output device is gone.  This happens with free and non-free audacity.

Running VLC while changing volume using mouse wheel on panel icon.  VLC sound starts looping over short section of sound that was most recently played.

Sound settings are not remembered from one boot to the next.

All of this started after a recent update ...

How reproducible:

Easily.

Steps to Reproduce:
1.  Open app that uses sound output device
2.  Change the volume
Comment 1 Brent R Brian 2013-11-02 13:45:39 EDT
Another "data point" ... I got an error on the "bluetooth" subsystem

https://bugzilla.redhat.com/show_bug.cgi?id=878795

[abrt] blueman-1.23-2.fc17: PulseAudio.py:214:card_cb:KeyError: 'bluez.path'

So I started paying more attention to the sound issues ... sure enough ... turned off the bluetooth radio (usb) and the webcam (usb), which I had noticed blinking on/off, and rebooted.

The problem was gone.  Audacity and VLC both work while adjusting the volume.

B

btw ... ABRT did not refile the blueman report for fc19 even though the bug was reported against FC17.
Comment 2 Fedora End Of Life 2015-01-09 15:25:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 13:59:53 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.